% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per gli Extensometer Link
% DatiExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_EL,DatiExtensometer] = MediaDati_EL(DatiExtensometer,TimeEL,NdatiMedia,FileName)

text = 'MediaDati_EL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

[r,~]=size(DatiExtensometer);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_EL = TimeEL;

%% Accelerazione
DatiExtensometer = smoothdata(DatiExtensometer,'gaussian',NdatiMedia);

text = 'Average values for Extensometer Link have been processed';
fprintf(fileID,fmt,text);
fclose(fileID);
end